> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/rdm/getting-started/workspaces/offline-mode.md).

# Offline mode

The ***Offline Mode*** connects to a local copy of the workspace when you are not connected to the workspace. This is useful when working from a remote location and the network is unreachable or if there is any kind of connectivity issue. This feature is not available for all [workspaces](https://docs.devolutions.net/rdm/workspaces/). Additionally, several features are not available in offline mode, such as [attachments](https://docs.devolutions.net/rdm/commands/window/attachments/), [logs](https://docs.devolutions.net/rdm/commands/reports/logs/), and [user management](https://docs.devolutions.net/rdm/commands/administration/user-management/) (add/edit/delete users).

The read/write offline mode adds to users the possibility to manipulate entries while disconnected from the workspace. This is useful for off-site personnel or when working in environments that have sporadic network availability.

The offline cache is first encrypted using our own private key mixed with some information taken from the local computer. This makes it impossible for a copy on another machine to be readable. By default it is also encrypted with Windows NTFS encryption, in which case there is no key saved anywhere.

For added security, offline files are set to expire after a delay. The default expiry is set to 7 days but can be modified via the [System settings](https://docs.devolutions.net/rdm/commands/administration/system-settings/application-specific/offline/).

### Configuring offline workspace

To learn how to configure offline mode for advanced workspaces, click on the list below.

* [Devolutions Cloud offline mode](https://docs.devolutions.net/rdm/workspaces/offline-mode/devolutions-cloud-offline-mode)
* [Devolutions Server offline mode](https://docs.devolutions.net/rdm/workspaces/offline-mode/devolutions-server-offline-mode/)
* [Microsoft Azure SQL offline mode](https://docs.devolutions.net/rdm/workspaces/offline-mode/microsoft-azure-sql-offline-mode/)
* [Microsoft SQL Server offline mode](https://docs.devolutions.net/rdm/workspaces/offline-mode/sql-offline-mode/)

#### See also

* [Devolutions Academy – Enable backups and work in offline mode](https://academy.devolutions.net/student/page/3266687-enable-backups-and-work-in-offline-mode?curriculum_activity_id=5108638\&path_id=3266571\&sid=533ed8a2-15b6-4a37-a799-18f0e59f03e0\&sid_i=0)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.devolutions.net/rdm/getting-started/workspaces/offline-mode.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
